--************************
--  EHSD                  
--  MOVING MAP MODE PAGE  
--************************

local mpcd_path = LockOn_Options.script_path.."MPCD/indicator/EHSD/"

dofile(LockOn_Options.script_path.."MPCD/indicator/MPCD_definitions.lua")
dofile(mpcd_path.."EHSD_MAP_VIDEO.lua")
dofile(mpcd_path.."EHSD_VIDEO_Foreground.lua")
dofile(mpcd_path.."EHSD_MAP_MENU.lua")
dofile(mpcd_path.."EHSD_NAV_MENU.lua")

-- MAP MENU BOXED SELECTIONS
local	map_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		map_mode_sel.name			= "map_mode_sel"
		map_mode_sel.init_pos		= mpcd_btn_03_pos
		map_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}}
Add_MPCD_Element(map_mode_sel)

local	trk_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		trk_mode_sel.name			= "trk_mode_sel"
		trk_mode_sel.init_pos		= mpcd_btn_01_pos
		trk_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_TRK"}}
Add_MPCD_Element(trk_mode_sel)

local	true_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		true_mode_sel.name			= "true_mode_sel"
		true_mode_sel.init_pos		= mpcd_btn_02_pos
		true_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_TRUE"}}
Add_MPCD_Element(true_mode_sel)

local	seq_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		seq_mode_sel.name			= "seq_mode_sel"
		seq_mode_sel.init_pos		= mpcd_btn_04_pos
		seq_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_NAV_Mode"}, {"EHSD_MAP_SEQ"}}
Add_MPCD_Element(seq_mode_sel)

local	nseq_mode_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		nseq_mode_sel.name			= "nseq_mode_sel"
		nseq_mode_sel.init_pos		= mpcd_btn_10_pos
		nseq_mode_sel.controllers	= {{"EHSD_NAV_Mode"}, {"nav_nseq_active"}}
Add_MPCD_Element(nseq_mode_sel)

local	ehsi_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ehsi_mode_sel.name			= "ehsi_mode_sel"
		ehsi_mode_sel.init_pos		= mpcd_btn_11_pos
		ehsi_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_EHSI"}}
Add_MPCD_Element(ehsi_mode_sel)

local	mmap_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		mmap_mode_sel.name			= "mmap_mode_sel"
		mmap_mode_sel.init_pos		= mpcd_btn_12_pos
		mmap_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_Active"}}
Add_MPCD_Element(mmap_mode_sel)

local	ovl1_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ovl1_mode_sel.name			= "ovl1_mode_sel"
		ovl1_mode_sel.init_pos		= mpcd_btn_13_pos
		ovl1_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_OVL1"}}
Add_MPCD_Element(ovl1_mode_sel)

local	ovl2_mode_sel				= create_mpcd_textured_box( 5, 4, 58, 153, nil, nil, 1)
		ovl2_mode_sel.name			= "ovl2_mode_sel"
		ovl2_mode_sel.init_pos		= mpcd_btn_14_pos
		ovl2_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_OVL2"}}
Add_MPCD_Element(ovl2_mode_sel)

local	nup_mode_sel				= create_mpcd_textured_box( 60, 4, 175, 50)
		nup_mode_sel.name			= "nup_mode_sel"
		nup_mode_sel.init_pos		= mpcd_btn_16_pos
		nup_mode_sel.controllers	= {{"EHSD_MAP_MMenu"}, {"EHSD_MAP_North_Up"}}
Add_MPCD_Element(nup_mode_sel)

